Foxit PDF SDK

Instance Methods | List of all members
FSSignatureVerifyResult Class Reference
Inheritance diagram for FSSignatureVerifyResult:

## Instance Methods
(FSCertVerifyResultArray *) | - getCertificateVerifyResults
| Get certificate verify results. More...
(FSSignatureVerifyResultLTVState) | - getLTVState
| Get LTV state that indicates if a signature is a LTV signature. More...
(FSSignatureVerifyResultArray *) | - getOCSPSigantureVerifyResults
| Get signature verify results for OCSP signature of each certificate. More...
(FSDateTime *) | - getSignatureCheckTime
| Get the time that is actually used to check signature. More...
(FSLTVVerifierTimeType) | - getSignatureCheckTimeType
| Get the type of the time that is actually used to check siganture. More...
(NSData *) | - getSignatureHashValue
| Get signature hash value. More...
(NSString *) | - getSignatureName
| Get signature name. More...
(unsigned int) | - getSignatureState
| Get signature state. More...
(FSSignatureVerifyResult *) | - getTSTSignatureVerifyResult
| Get the verify result of time stamp token of this signature. More...
(id) | - initWithOther:
| Constructor, with another signature veirfy result object. More...
(BOOL) | - isEmpty
| Check whether current object is empty or not. More...

## Detailed Description

This class represents signature verify result.

## Method Documentation

## ◆ getCertificateVerifyResults()

- (FSCertVerifyResultArray *) getCertificateVerifyResults |  |  |

Get certificate verify results.

Returns
  An array of certificate verify results.

## ◆ getLTVState()

- (FSSignatureVerifyResultLTVState) getLTVState |  |  |

Get LTV state that indicates if a signature is a LTV signature.

Returns
  LTV state.

## ◆ getOCSPSigantureVerifyResults()

- (FSSignatureVerifyResultArray *) getOCSPSigantureVerifyResults |  |  |

Get signature verify results for OCSP signature of each certificate.

Returns
  An array of signature verify results.

## ◆ getSignatureCheckTime()

- (FSDateTime *) getSignatureCheckTime |  |  |

Get the time that is actually used to check signature.

Returns
  The time that is actually used to check signature. utc_hour_offset and utc_minite_offset of this time would be ignored.

## ◆ getSignatureCheckTimeType()

- (FSLTVVerifierTimeType) getSignatureCheckTimeType |  |  |

Get the type of the time that is actually used to check siganture.

Returns
  Time type. Please refer to values starting from FSLTVVerifierSignatureCreationTime and this would be one of these values

## ◆ getSignatureHashValue()

- (NSData *) getSignatureHashValue |  |  |

Get signature hash value.

Returns
  Signature hash value.

## ◆ getSignatureName()

- (NSString *) getSignatureName |  |  |

Get signature name.

Returns
  Signature name.

## ◆ getSignatureState()

- (unsigned int) getSignatureState |  |  |

Get signature state.

Returns
  Signature state. Please refer to values starting from FSSignatureStateUnknown and this would be one or combination of them.

## ◆ getTSTSignatureVerifyResult()

- (FSSignatureVerifyResult *) getTSTSignatureVerifyResult |  |  |

Get the verify result of time stamp token of this signature.

Returns
  Verify result of time stamp token of the signature. If the signature does not have any time stamp token, returned object would be an empty object which can be checked by function FSSignatureVerifyResult::isEmpty.

## ◆ initWithOther:()

- (id) initWithOther: |  | (FSSignatureVerifyResult*) | other |

Constructor, with another signature veirfy result object.

Parameters

  [in] | other | Another signature veirfy result object.

## ◆ isEmpty()

- (BOOL) isEmpty |  |  |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  YES means current object is empty, while NO means not.